<template>
<div class="list">
  
<v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  export default {
    data(){
      return{
        flags: false,
        position: { x: 0, y: 0 },
        nx: '', ny: '', dx: '', dy: '', xPum: '', yPum: '',
        nodata:'',
        datas:{},
        unstart:'',
        end:'',
        pendding:'',
        camInList:[],//进行中活动
        camNopList:[],//未开启活动
        camHisList:[],//历史活动
        hintbox: {
          text: "",
          show: false
        },
      }
    },
    components:{
       'v-hintbox' : hintbox
    },
    methods:{
      getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/point/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records[0];
                
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
      
    },
    onLoad(){
      let that = this;
      this.nodata = false;
      this.getAjax();
    }

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.xuanfu {
    height: 4.5rem;
    width: 4.5rem;
    /* 如果碰到滑动问题，1.3 请检查 z-index。z-index需比web大一级*/
    z-index: 999;
    position: fixed;
    top: 4.2rem;
    right: 3.2rem;
    border-radius: 0.8rem;
    background-color: rgba(0, 0, 0, 0.55);
  }
  .yuanqiu {
    height: 2.7rem;
    width: 2.7rem;
    border: 0.3rem solid rgba(140, 136, 136, 0.5);
    margin: 0.65rem auto;
    color: #000000;
    font-size: 1.6rem;
    line-height: 2.7rem;
    text-align: center;
    border-radius: 100%;
    background-color: #ffffff;
  }
.search{
      position: fixed;
      width: 1.12rem;
      height: 1.12rem;
      bottom: 2rem;
      right: 0.3rem;
      background: #FD7800;
      color: #fff;
      text-align: center;
      border-radius: 50%;
      line-height: 1.12rem;
      // background: url("https://pic.8848phone.com/custom/8848/image/btn-myteam-addteam.png");
      background-size: contain;
      background-repeat: no-repeat;
      transition: all 0.2s linear 0s;
}
.nodata{
  margin: 0 auto;
  text-align: center;
  margin-top: 50%;
  img{
    width: 1rem;
    height: 1rem;
  }
}
.list{
  width: 100%;
  height: 14rem;
  background: #F2F2F2;
  // height: 100%;
  // background-coloxr: #F2F2F2;
  // border: 1px solid #000;
  // height: 10rem;
  .header{
    width: 100%;
    height: 0.9rem;
    line-height: 0.9rem;
    display: flex;
    background-color: #fff;
    position: fixed;
    top: 0;
    div{
      width: 33%;
      text-align: center;
      font-size: 0.32rem;
      .border{
        width: 1.14rem;
        height: 0.06rem;
        background-color: #FD7800;
        margin: 0 auto;
        position: relative;
        top: -0.06rem;
      }
    }
  }
  // .list{
    .item{
      width: 100%;
      margin-top: 0.34rem;
      // height:3rem;
      background: #fff;
      display: flex;
      
      .left{
        width: 20%;
        margin-left: 0.3rem;
        margin-top: 1.3rem;
        .circle{
          width: 0.4rem;
          height: 0.4rem;
          border-radius: 50%;
          border: 1px solid #979797;
        }
      }
      .right{
        width: 80%;
        margin-top: 0.3rem;
        margin-bottom: 0.6rem;  
         .one{
          margin-top: 0.3rem;
          display: flex;
          .name{
            width:1.8rem;
            display: block;
            font-weight:bold;
            color: #009CFF;
          }
          .value{
            width: 3.8rem;
            color: #4c4c4c;
          }
        }
      }

    }
  // }
  .box{
    // height: 14rem;
    overflow: auto;
    margin-bottom: 30px;
    margin-top: 0.9rem;
    background: #F2F2F2;
  }
  .footer{
    width: 100%;
    height: 1.4rem;
    line-height: 1.4rem;
    background: #e8e7e9;
    color: #fff;
    font-size: 0.4rem;
    position: fixed;
    bottom: 0;
    display: flex;
    .add{
      background-color: #28A745;
      height: 0.9rem;
      line-height: 0.9rem;
      text-align: center;
      border-radius: 5px;
      width: 2.4rem;
      margin-top: 0.2rem;
      margin-left: 0.6rem;
    }
     .add1{
      background-color: #28A745;
      height: 0.9rem;
      line-height: 0.9rem;
      text-align: center;
      border-radius: 5px;
      width: 4.5rem;
      margin:0 auto;
      margin-top: 0.3rem;
    
    }
    .del{
      width: 2.4rem;
      background-color: #DC3545;
      height: 0.9rem;
      line-height: 0.9rem;
      text-align: center;
       border-radius: 5px;
       margin-top: 0.2rem;
       margin-left: 1.46rem;

    }
  }
}
</style>
